package com.writeoff.module.notification.dto;

import javax.validation.constraints.NotBlank;

public class CreateNotificationTextTemplateRequest {
    @NotBlank(message = "文案模板名称不能为空")
    private String templateName;
    private String subjectTemplate;
    private String titleTemplate;
    @NotBlank(message = "正文模板不能为空")
    private String contentTemplate;
    private String status;

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getSubjectTemplate() {
        return subjectTemplate;
    }

    public void setSubjectTemplate(String subjectTemplate) {
        this.subjectTemplate = subjectTemplate;
    }

    public String getTitleTemplate() {
        return titleTemplate;
    }

    public void setTitleTemplate(String titleTemplate) {
        this.titleTemplate = titleTemplate;
    }

    public String getContentTemplate() {
        return contentTemplate;
    }

    public void setContentTemplate(String contentTemplate) {
        this.contentTemplate = contentTemplate;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
